### Installation

To build, test, and install the gem:

```
bundle install
rake spec install
```

### Purpose:

This gem was created to enable designers push a complete stylesheet to project's repo, as often as they need to.

The complete stylesheet is a mix of scss variebles and mixins. This stylesheet needs to be broken down to variables.scss and mixin.scss and will be pushed to the project repo. Engineers will be notified by designers that there's a new branch / or they see the new branch and can create pull request to approve and merge to master. 

### How to use this gem:

After installing the gem `rake install` use the following command:
`$: "location of the stylesheet" "git repo ssh url" "Name for the branch" "Write a short description" "Location of the stylesheets in the project - where should be uploaded to" ` 

For example:

`$: ~/Desktop/devmynd_master_style.scss git@github.com:devmynd/scssketch.git update_colors \"update background color from white to silver\" app/assets/stylesheets`

### Behind the seen:

The gem will 
- pull down the project or cloning it using the git url user has provided. 
- then takes the complete stylesheet and breaks it down to variables.scss and mixins.scss. 
- uploads the new stylesheets to the location that the user has specified
- creates a branch using the name user has provided
- adds and commits the changes with the message that the user has provided
- pushes the changes to origin 
- deletes the local branch


This will install an executable called `style_pusher` that you can use to run the program.

_This gem was developed using Ruby 2.5.1 under `rbenv`. YMMV._
